Enterprise Library 5.0 - Installing Moq v3.1 assemblies

Topics: Building and extending application blocks, General discussion
Jun 23, 2010 at 5:01 PM

The installer for the Enterprise Library 5.0 states that: 

To run the unit tests, the following are also required:

  • Moq v3.1 assemblies.

I've researched and found the Moq 3.1 assemblies over here:

http://code.google.com/p/moq/downloads/detail?name=Moq.3.1.416.3-bin.zip&can=2&q

However how/where do I install the Moq.dll so that the enterprise library works?

Jun 23, 2010 at 6:06 PM

You only need the Moq assemblies if you're compiling and running the unit tests from the source code. Once you unpack the source, you'll see a Lib\ThirdParty directory - there's a readme down in there that shows you where you need to put the Moq binaries.